Groovy Documentation

## org.codehaus.groovy.grails.orm.hibernate.cfg
[Groovy] Class Identity

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.cfg.Identity

    class Identity

Defines the identity generation strategy. In the case of a 'composite' identity the properties array defines the property names that formulate the composite id.

Authors:
  Graeme Rocher

Since:
  1.0

Property Summary
`java.lang.String` | `column`
`java.lang.String` | `generator`
`java.lang.String` | `name`
`NaturalId` | `natural`
`java.util.Map` | `params`
`java.lang.Class` | `type`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### column

    java.lang.String column

### generator

    java.lang.String generator

### name

    java.lang.String name

### natural

    NaturalId natural

### params

    java.util.Map params

### type

    java.lang.Class type

Method Detail

### toString

    java.lang.String toString()

Groovy Documentation